Commit 360d866a authored by Anders Blomdell's avatar Anders Blomdell
Browse files

Add pre-commit hooks

parent 56b7307e
#!/bin/sh
if [ ! -f .git/hooks/pre-commit ] ; then
cp -p pre-commit .git/hooks/pre-commit
chmod +x .git/hooks/pre-commit
elif ! diff pre-commit .git/hooks/pre-commit ; then
mv .git/hooks/pre-commit \
.git/hooks/pre-commit.$(md5sum .git/hooks/pre-commit | cut -d' ' -f1)
cp -p pre-commit .git/hooks/pre-commit
chmod +x .git/hooks/pre-commit
fi
#!/bin/sh
if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=$(git hash-object -t tree /dev/null)
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi
# If there are whitespace errors, print the offending file names and fail.
git diff-index --check --cached $against -- || exit 1
# Make sure build passes
TMP=$(mktemp -d /tmp/pre-commit.XXXXXX)
cleanup() {
rm -rf "${TMP}"
}
trap cleanup EXIT
git ls-files | cpio -pdmu "${TMP}" || exit 1
cd ${TMP} && make pre-commit || exit 1
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment